package cn.hmsoft.weixin.data.model;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;
import cn.hmsoft.weixin.constants.WxSeqName;

/**********************************************
 * 微信模版消息发送记录
 * 
 * @author: Zhang XiaoQing
 * @date: 2017-08-28 08:36:57
 * @version: 4.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "WX_TEMPLATE_LOG", keyColumn = "LOG_ID", sequenceName = WxSeqName.WxTemplateLogId)
public class WxTemplateLog implements Serializable {
	private static final long serialVersionUID = 2691302367790522421L;
	// 内部编号
	private Integer log_id;
	// 记录时间
	private LocalDateTime log_time;
	// 内部编号
	private Integer wx_id;
	// 模版消息编号
	private String template_code;
	// 发送状态
	private String result_status;
	// 错误信息
	private String result_msg;
	// 业务类型
	private String business_type;
	// 用户编号
	private String open_id;

	private String template_msg;

	/****
	 * 内部编号
	 */
	public Integer getLog_id() {
		return this.log_id;
	}

	/****
	 * 内部编号
	 */
	public void setLog_id(Integer log_id) {
		this.log_id = log_id;
	}

	/****
	 * 记录时间
	 */
	public LocalDateTime getLog_time() {
		return this.log_time;
	}

	/****
	 * 记录时间
	 */
	public void setLog_time(LocalDateTime log_time) {
		this.log_time = log_time;
	}

	/****
	 * 内部编号
	 */
	public Integer getWx_id() {
		return this.wx_id;
	}

	/****
	 * 内部编号
	 */
	public void setWx_id(Integer wx_id) {
		this.wx_id = wx_id;
	}

	/****
	 * 模版消息编号
	 */
	public String getTemplate_code() {
		return this.template_code;
	}

	/****
	 * 模版消息编号
	 */
	public void setTemplate_code(String template_code) {
		this.template_code = template_code;
	}

	/****
	 * 发送状态
	 */
	public String getResult_status() {
		return this.result_status;
	}

	/****
	 * 发送状态
	 */
	public void setResult_status(String result_status) {
		this.result_status = result_status;
	}

	/****
	 * 错误信息
	 */
	public String getResult_msg() {
		return this.result_msg;
	}

	/****
	 * 错误信息
	 */
	public void setResult_msg(String result_msg) {
		this.result_msg = result_msg;
	}

	/****
	 * 业务类型
	 */
	public String getBusiness_type() {
		return this.business_type;
	}

	/****
	 * 业务类型
	 */
	public void setBusiness_type(String business_type) {
		this.business_type = business_type;
	}

	/****
	 * 用户编号
	 */
	public String getOpen_id() {
		return this.open_id;
	}

	/****
	 * 用户编号
	 */
	public void setOpen_id(String open_id) {
		this.open_id = open_id;
	}

	public String getTemplate_msg() {
		return template_msg;
	}

	public void setTemplate_msg(String template_msg) {
		this.template_msg = template_msg;
	}

}